// EXCELLINK
// http://www.fx1.net/excellink.php  demonstration
//
// download and copy .dll file into experts/libraries directory
// Also you must enable DLL  functions calls from Options menu
//
// This simple demonstration script in mql4
// Starts excel and generates a 5 x 5 random number generated matrix
// then adds them with help of sum() excel function
// It also demonstrates cell formatting capabilities of addon
//
#import "excellink.dll"
   int ExcelStart(string,int);
   string ExcelVersion();
   int ExcelPutString(int,int,int,string);
   int ExcelPutValue(int,int,int,double);
   int ExcelFormatCellColor(int,int,int,int,int);
   int ExcelFormatCellFontSize(int,int,int,int);
   int ExcelFormatCellFont(int,int,int,int);
   double ExcelGetValue(int,int,int);
   string ExcelGetString(int,int,int);
   int ExcelSaveFile(string);
   int ExcelSheetRename(int, string);
   int ExcelPutCalc(int,int,int,string);
   string ExcelGetCalc(int,int,int,string);
   int ExcelEnd();
   int ExcelClose();
   int ExcelFreeString();
   string ExcelCell(int,int);
   int ExcelUnixTime();
#import


int start()
  {
   // we open excel
   int row,col;
   // very important to double slash
   string filename = "c:\\temp\\demo2.xls";
   int e = ExcelStart(filename,1);
   if ( e >= 0 )
      {
      // success

      // String operations and formatting
      ExcelPutString(1,1,1,"Excel Link Demonstration");
      ExcelPutString(1,2,1,"You are running ExcelLink Version "+ExcelVersion());
      ExcelFormatCellFontSize(1,1,1,15);
      ExcelFormatCellFont(1,1,1,1+2);
      
      ExcelFormatCellFontSize(1,2,1,12);
      ExcelFormatCellColor(1,1,1,White,Red);

      // Lets generate random numbers
      row = 3; col = 3; MathSrand(TimeLocal());
      ExcelPutString(1,2,8,"Sum()");
      for (row=2;row<8;row++)
         {
         for (col=3;col<8;col++)
            {
               if (row==2)
               {
                  ExcelPutString(1,row,col,"Col "+DoubleToStr(col-2,0));
                  ExcelFormatCellFont(1,row,col,7);
               }
               else
               {
                  ExcelPutValue(1,row,col,MathRand());
               }
            }
            // we use =sum() function to add cells
            if (row>2)
               {
                  ExcelPutCalc(1,row,col,"=Sum("+ExcelCell(row,col-5)+":"+ExcelCell(row,col-1)+")");
               }
         }

      }
   
   ExcelEnd();
   ExcelSaveFile(filename);
   return(0);
  }

